This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 71786 - konqueror crash
konqueror crash
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-08-19 05:15 EDT by Tim Waugh
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-04 17:42:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Main document (91 bytes, text/plain)
2002-08-28 09:34 EDT, Tim Waugh
no flags Details
Frame. (100 bytes, text/plain)
2002-08-28 09:35 EDT, Tim Waugh
no flags Details
Backtrace with symbols (4.14 KB, text/plain)
2002-08-29 06:33 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2002-08-19 05:15:35 EDT
Description of Problem:
This konqueror crash seemed to be caused by a Javascript window.close().

Version-Release number of selected component (if applicable):
kdebase-3.0.3-3
kdelibs-3.0.3-2

How Reproducible:
100% with my online bank (but you need to login first).

(no debugging symbols found)...[New Thread 1024 (LWP 30357)]
0x420a0a89 in wait4 () from /lib/i686/libc.so.6
#0  0x420a0a89 in wait4 () from /lib/i686/libc.so.6
#1  0x4211921c in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40f08b13 in waitpid () from /lib/i686/libpthread.so.0
#3  0x406ed065 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  <signal handler called>
#5  0x41fd20e2 in KJS::Value::getValue(KJS::ExecState*) const ()
   from /usr/lib/libkjs.so.1
#6  0x41faeacb in KJS::ExprStatementNode::execute(KJS::ExecState*) ()
   from /usr/lib/libkjs.so.1
#7  0x41fb51ba in KJS::SourceElementNode::execute(KJS::ExecState*) ()
   from /usr/lib/libkjs.so.1
#8  0x41fb5449 in KJS::SourceElementsNode::execute(KJS::ExecState*) ()
   from /usr/lib/libkjs.so.1
#9  0x41fb45b8 in KJS::FunctionBodyNode::execute(KJS::ExecState*) ()
   from /usr/lib/libkjs.so.1
#10 0x41fa4e83 in KJS::InterpreterImp::evaluate(KJS::UString const&, KJS::Value
const&) () from /usr/lib/libkjs.so.1
#11 0x41fd6fda in KJS::Interpreter::evaluate(KJS::UString const&, KJS::Value
const&) () from /usr/lib/libkjs.so.1
#12 0x429a1d02 in KJSProxyImpl::evaluate(QString, int, QString const&, DOM::Node
const&) () from /usr/lib/kde3/kjs_html.so
#13 0x41cd9516 in KHTMLPart::executeScript(DOM::Node const&, QString const&) ()
   from /usr/lib/libkhtml.so.4
#14 0x41cd9452 in KHTMLPart::executeScript(QString const&) ()
   from /usr/lib/libkhtml.so.4
#15 0x41ce2736 in KHTMLPart::urlSelected(QString const&, int, int, QString
const&, KParts::URLArgs) () from /usr/lib/libkhtml.so.4
#16 0x41d2f0a6 in
DOM::HTMLAnchorElementImpl::defaultEventHandler(DOM::EventImpl*) () from
/usr/lib/libkhtml.so.4
#17 0x41d0af77 in DOM::NodeImpl::dispatchGenericEvent(DOM::EventImpl*, int&) ()
   from /usr/lib/libkhtml.so.4
#18 0x41d0ac22 in DOM::NodeImpl::dispatchEvent(DOM::EventImpl*, int&, bool) ()
   from /usr/lib/libkhtml.so.4
#19 0x41cd440f in KHTMLView::dispatchMouseEvent(int, DOM::NodeImpl*, bool, int,
QMouseEvent*, bool, int) () from /usr/lib/libkhtml.so.4
#20 0x41cd1e4a in KHTMLView::viewportMouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/libkhtml.so.4
#21 0x40ad6029 in QScrollView::eventFilter(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#22 0x409dbbce in QObject::activate_filters(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#23 0x409dbaf1 in QObject::event(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#24 0x40a11e2c in QWidget::event(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#25 0x40989c69 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#26 0x40989383 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#27 0x406819e6 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#28 0x4092def6 in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#29 0x4092ad66 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#30 0x4092a8df in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#31 0x4098b2a0 in QApplication::enter_loop() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#32 0x4092a3dd in QApplication::exec() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#33 0x4004b607 in main () from /usr/lib/konqueror.so
#34 0x420155c4 in __libc_start_main () from /lib/i686/libc.so.6
Comment 1 Ngo Than 2002-08-27 13:58:34 EDT
it's fixed in kdelibs/kdebase 3.0.3-6 or newer
Comment 2 Tim Waugh 2002-08-28 05:48:17 EDT
Not for me.
Comment 3 Tim Waugh 2002-08-28 05:49:28 EDT
This is from kdebase/kdelibs 3.0.3-6:

(no debugging symbols found)...[New Thread 1024 (LWP 27544)]
0x420a0969 in wait4 () from /lib/i686/libc.so.6
#0  0x420a0969 in wait4 () from /lib/i686/libc.so.6
#1  0x4211949c in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40f10b13 in waitpid () from /lib/i686/libpthread.so.0
#3  0x406ed0c5 in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#4  <signal handler called>
#5  0x4178b4f0 in KHTMLPart::executeScript(DOM::Node const&, QString const&) ()
   from /usr/lib/libkhtml.so.4
#6  0x4178b402 in KHTMLPart::executeScript(QString const&) ()
   from /usr/lib/libkhtml.so.4
#7  0x417946e6 in KHTMLPart::urlSelected(QString const&, int, int, QString
const&, KParts::URLArgs) () from /usr/lib/libkhtml.so.4
#8  0x417e1056 in
DOM::HTMLAnchorElementImpl::defaultEventHandler(DOM::EventImpl*) () from
/usr/lib/libkhtml.so.4
#9  0x417bcf27 in DOM::NodeImpl::dispatchGenericEvent(DOM::EventImpl*, int&) ()
   from /usr/lib/libkhtml.so.4
#10 0x417bcbd2 in DOM::NodeImpl::dispatchEvent(DOM::EventImpl*, int&, bool) ()
   from /usr/lib/libkhtml.so.4
#11 0x417863bf in KHTMLView::dispatchMouseEvent(int, DOM::NodeImpl*, bool, int,
QMouseEvent*, bool, int) () from /usr/lib/libkhtml.so.4
#12 0x41783dfa in KHTMLView::viewportMouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/libkhtml.so.4
#13 0x40ad7cf9 in QScrollView::eventFilter(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#14 0x409dd89e in QObject::activate_filters(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#15 0x409dd7c1 in QObject::event(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#16 0x40a13afc in QWidget::event(QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#17 0x4098b939 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#18 0x4098b053 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#19 0x40681996 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#20 0x4092fbb6 in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#21 0x4092ca26 in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#22 0x4092c59f in QApplication::processNextEvent(bool) ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#23 0x4098cf70 in QApplication::enter_loop() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#24 0x4092c09d in QApplication::exec() ()
   from /usr/lib/qt3-gcc3.2/lib/libqt-mt.so.3
#25 0x4004b5e7 in main () from /usr/lib/konqueror.so
#26 0x420155d4 in __libc_start_main () from /lib/i686/libc.so.6
Comment 4 Ngo Than 2002-08-28 08:00:59 EDT
could you please give more infos how i can reproduce it?
Comment 5 Tim Waugh 2002-08-28 09:34:48 EDT
Created attachment 73510 [details]
Main document
Comment 6 Tim Waugh 2002-08-28 09:35:13 EDT
Created attachment 73511 [details]
Frame.
Comment 7 Tim Waugh 2002-08-28 09:35:57 EDT
Put doc.html and frame.html in the same directory, and point konqueror at 
doc.html.
Comment 8 Tim Waugh 2002-08-29 06:33:56 EDT
Created attachment 73704 [details]
Backtrace with symbols
Comment 9 Ngo Than 2003-02-04 17:42:04 EST
it's fixed in kdelibs-3.1-2/kdebase-3.1-2 or newer. konqueror does not crash
when i click on doc.html file

Note You need to log in before you can comment on or make changes to this bug.